Bug 1286467 - Review Request: curvesapi - Java implementation of various mathematical curves
Review Request: curvesapi - Java implementation of various mathematical curves
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Repik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1318394
  Show dependency treegraph
 
Reported: 2015-11-29 15:07 EST by gil cattaneo
Modified: 2016-08-04 16:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: curvesapi-1.03-2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-04 16:55:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
trepik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-11-29 15:07:41 EST
Spec URL: https://gil.fedorapeople.org/curvesapi.spec
SRPM URL: https://gil.fedorapeople.org/curvesapi-1.03-1.fc23.src.rpm
Description:
Implementation of various mathematical curves that define themselves
over a set of control points. The API is written in Java. The curves
supported are: Bezier, B-Spline, Cardinal Spline, Catmull-Rom Spline,
Lagrange, Natural Cubic Spline, and NURBS.
Fedora Account System Username: gil

Apache Poi 3.14 build/requires

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12012965
Comment 1 Upstream Release Monitoring 2015-12-14 05:40:43 EST
jerboaa's scratch build of java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 for git://pkgs.fedoraproject.org/java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 and rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12181621
Comment 2 Tomas Repik 2016-03-31 11:08:55 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

[!]: License headers in some files missing. I've seen that you have made a pull request solving this issue, I'd wait a bit until it's processed, so the package would be nice and tidy to ship.

===== Non-blocking =====

I wonder how it's gonna be with the dependencies. Doesn't the sun.awt.geom.Curve file need to be mentioned in requires somehow? 

Also I noticed there is a GUI demo application and I wonder why you included only the source files in the documentation. I'd rather build a binary so that the could be executed. It's mentioned in readme.txt.

I have to say you did a very good job on this package. 

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 85 files have unknown license. Detailed
     output of licensecheck in /home/makerpm/rev/curvesapi/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     curvesapi-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: curvesapi-1.03-1.fc25.noarch.rpm
          curvesapi-javadoc-1.03-1.fc25.noarch.rpm
          curvesapi-1.03-1.fc25.src.rpm
curvesapi.noarch: W: spelling-error %description -l en_US Bezier -> Beerier
curvesapi.src: W: spelling-error %description -l en_US Bezier -> Beerier
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
curvesapi.noarch: W: spelling-error %description -l en_US Bezier -> Beerier
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
curvesapi-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

curvesapi (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools



Provides
--------
curvesapi-javadoc:
    curvesapi-javadoc

curvesapi:
    curvesapi
    mvn(com.github.virtuald:curvesapi)
    mvn(com.github.virtuald:curvesapi:pom:)



Source checksums
----------------
https://github.com/virtuald/curvesapi/archive/1946c096a1321366771569b74297ddfaa12faffe/curvesapi-1946c096a1321366771569b74297ddfaa12faffe.tar.gz :
  CHECKSUM(SHA256) this package     : a5e0b33391cac4094d9b8182b3f9f9d1158592f94bfb620cdfed56ea01aa9988
  CHECKSUM(SHA256) upstream package : a5e0b33391cac4094d9b8182b3f9f9d1158592f94bfb620cdfed56ea01aa9988


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review --rpm-spec -n /home/makerpm/rpmbuild/SRPMS/curvesapi-1.03-1.fc23.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 gil cattaneo 2016-03-31 16:44:43 EDT
(In reply to Tomas Repik from comment #2)
> ===== Issues =====
> 
> [!]: License headers in some files missing. I've seen that you have made a
> pull request solving this issue, I'd wait a bit until it's processed, so the
> package would be nice and tidy to ship.
Reported @ https://github.com/virtuald/curvesapi/issues/1
PR https://github.com/virtuald/curvesapi/pull/2
This is a fork of https://sourceforge.net/projects/curves/ but now SF site seem not available. And i also open a "discussion" about this problem
> ===== Non-blocking =====
> 
> I wonder how it's gonna be with the dependencies. Doesn't the
> sun.awt.geom.Curve file need to be mentioned in requires somehow? 
No. requires are generated by maven-local/javapackages-tools
> Also I noticed there is a GUI demo application and I wonder why you included
> only the source files in the documentation. I'd rather build a binary so
> that the could be executed. It's mentioned in readme.txt.
No, is useless. The package is necessary only for upgrade apache-poi
> I have to say you did a very good job on this package. 
Thanks!
Comment 4 gil cattaneo 2016-03-31 20:40:29 EDT
(In reply to gil cattaneo from comment #3)
> (In reply to Tomas Repik from comment #2)
> > ===== Issues =====
> > 
> > [!]: License headers in some files missing. I've seen that you have made a
> > pull request solving this issue, I'd wait a bit until it's processed, so the
> > package would be nice and tidy to ship.
> Reported @ https://github.com/virtuald/curvesapi/issues/1
> PR https://github.com/virtuald/curvesapi/pull/2
> This is a fork of https://sourceforge.net/projects/curves/ but now SF site
> seem not available. And i also open a "discussion" about this problem
https://sourceforge.net/p/curves/discussion/457804/thread/7cb3e706/?limit=25#86eb
Comment 5 gil cattaneo 2016-03-31 22:23:32 EDT
Spec URL: https://gil.fedorapeople.org/curvesapi.spec
SRPM URL: https://gil.fedorapeople.org/curvesapi-1.03-2.fc23.src.rpm

- add license headers
Comment 6 Tomas Repik 2016-04-04 04:56:48 EDT
All righty, I approve this package.
Comment 7 gil cattaneo 2016-04-04 06:12:12 EDT
Package SCM Request https://admin.fedoraproject.org/pkgdb/package/requests/4735
Comment 8 gil cattaneo 2016-04-04 06:16:14 EDT
Thanks for the review!
Please, change "Status" field as assigned
Comment 9 Gwyn Ciesla 2016-04-04 09:58:44 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/curvesapi
Comment 10 gil cattaneo 2016-04-04 10:47:30 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13554619
Comment 11 Fedora Update System 2016-07-25 05:59:12 EDT
curvesapi-1.03-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-520303b97d
Comment 12 Fedora Update System 2016-07-28 02:01:14 EDT
curvesapi-1.03-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-520303b97d
Comment 13 Fedora Update System 2016-08-04 16:54:58 EDT
curvesapi-1.03-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.